#ifndef __FML_ADC_H__
#define __FML_ADC_H__

#ifdef __cplusplus
extern "C" {
#endif

//Ѵһβ3󴥷һβ1󴥷һβ3봥һβ1󴥷һβ

/*Includes ------------------------------------------------------*/
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "sdk_common.h"
#include "nrf_gpio.h"
#include "SEGGER_RTT.h"
#include "usr_config.h"

/*Private macro ------------------------------------------------------------------------------------------------------------------------------------*/
#define		FML_ADC_SAMPLE_POINT_0											0												//0λmsջѾͲɼ

#define		FML_ADC_SAMPLE_POINT_1											3												//1λms

#define		FML_ADC_SAMPLE_POINT_2											100											//2λms


/*STRUCTION ----------------------------------------------------*/
typedef struct _fml_adc_all_channel_adc_value
{
	int16_t  channel_0_adc_value; 
	int16_t  channel_1_adc_value; 
	int16_t  channel_2_adc_value; 
	int16_t  channel_3_adc_value; 
	int16_t  channel_4_adc_value; 
	int16_t  channel_5_adc_value; 
	int16_t  channel_6_adc_value; 
	int16_t  channel_7_adc_value; 
} Fml_Adc_All_Channel_Adc_Value_t;

//sample_pointɼʱ
//all_adc_valueֵͨ
//ҪڻصִкʱܳĲþֻͨĲ
typedef void (*fml_adc_sample_update_notify_callback)(uint32_t sample_point, Fml_Adc_All_Channel_Adc_Value_t all_adc_value);

/*API -------------------------------------------------------*/
/**
	@brief 		ʼadcģ
	@param 		
	@return 						- [out]	-1ʧܣ0ɹ
*/
int	fml_adc_Init(void);

/**
	@brief 		adc֪ͨصע
	@param 		cb								-	[in]	صע
	@return 						- [out]	-1ʧܣ0ɹ
*/
int	fml_adc_sample_update_notify_register(fml_adc_sample_update_notify_callback cb);

/**
	@brief 		adcֵ
	@param 		channel						-	[in]	Ҫȡͨ
	@param 		value							-	[out]	ֵͨ
	@return 						- [out]	-1ʧܣ0ɹ
*/
int	fml_adc_get_value(uint32_t channel,int16_t *value);

/**
	@brief 		ADCͨ
	@param 		pin								-	[in]	Ҫõ
	@param 		channel						-	[in]	Ҫõͨ
	@param 		pin_pull					-	[in]	Ҫõͨ
	@return 						- [out]	-1ʧܣ0ɹ
*/
int	fml_adc_set_pin_channel(uint32_t pin, uint32_t channel, nrf_gpio_pin_pull_t pin_pull);

/**
	@brief 		ƳADCͨ
	@param 		pin								-	[in]	ҪƳ
	@param 		channel						-	[in]	ҪƳͨ
	@return 						- [out]	-1ʧܣ0ɹ
*/
int	fml_adc_remove_pin_channel(uint32_t pin, uint32_t channel);

#ifdef __cplusplus
}
#endif

#endif



















