#ifndef __main_h__
#define __main_h__

/**************************** ϵͳͷļ ********************************/
#include <stdio.h>
#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include "sdk_common.h"

#include "app_error.h"
#include "app_uart.h"
#include "ble_db_discovery.h"
#include "app_timer.h"
#include "app_util.h"
#include "bsp_btn_ble.h"
#include "ble.h"
#include "ble_gap.h"
#include "ble_hci.h"
#include "nrf_sdh.h"
#include "nrf_sdh_ble.h"
#include "nrf_sdh_soc.h"
#include "ble_nus_c.h"
#include "nrf_ble_gatt.h"
#include "nrf_pwr_mgmt.h"
#include "nrf_ble_scan.h"

#include "nrf_log.h"
#include "nrf_log_ctrl.h"
#include "nrf_log_default_backends.h"
#include "SEGGER_RTT.h"

#include "nrf_power.h"
#include "peer_manager.h"
#include "peer_manager_handler.h"

/**************************** Զͷļ ********************************/
#include "usr_config.h"

void process_motion(uint32_t time_stamp, int16_t _acc[3], int16_t _gry[3],  int16_t front_mag[3], int16_t back_mag[3], uint8_t _rssi);  	//__weak  ¶
void send_protocol(uint8_t index,uint8_t cmd,uint8_t* p,uint8_t datLen);
void gpio_mt_run(uint32_t tim);

#endif
